%global uver	0.31.0-1+sds5
%global sver	0.31.0
%global apiver	0.31

Name:		libva
# The rather complex versioning is due to the upstream being a patched
# version of the real upstream libva; when the real upstream 0.5 comes
# out we will no longer need to use Gwenole's patched version of 0.3
Version:	0.31.0.1.sds5
Release:	1%{?dist}
Summary:	Video Acceleration (VA) API for Linux
Group:		System Environment/Libraries
License:	MIT
URL:		http://www.splitted-desktop.com/~gbeauchesne/libva/
Source0:	http://www.splitted-desktop.com/~gbeauchesne/libva/%{name}_%{uver}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libtool
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libdrm-devel
BuildRequires:	mesa-libGL-devel

%description
Libva is a library providing the VA API video acceleration API.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{sver}
for p in debian/patches/*.patch; do patch -p1 < $p; done

%build
autoreconf -i
%configure --disable-static --enable-glx
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# this is a compatibility name for some older apps which don't use the
# newer soname
echo ".text"|gcc -xassembler - -o %{buildroot}%{_libdir}/libva.so.%{apiver} -shared -Wl,-soname,libva.so.0 -Wl,-z,noexecstack -L%{buildroot}%{_libdir} -lva-x11
ln -s libva.so.%{apiver} %{buildroot}%{_libdir}/libva.so.0

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/%{name}*.so.*
%{_libdir}/va
%{_bindir}/vainfo

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc

%changelog
* Wed Oct  7 2009 kwizart < kwizart at gmail.com > - 0.31.0.1.sds5
- Update api 0.31.0-1+sds5

* Thu Sep 3 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds5-3
- don't declare the stack as executable when creating libva.so.0

* Mon Aug 31 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds5-2
- enable glx support

* Mon Aug 31 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds5-1
- new SDS patch version:
	+ Add VA_STATUS_ERROR_UNIMPLEMENTED
	+ Add vaBindSurfaceToTextureGLX() and vaReleaseSurfaceFromTextureGLX()

* Wed Aug 26 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds4-1
- new SDS patch version:
	+ Add OpenGL extensions
	+ Fix NVIDIA driver version check
	+ Fix libva-x11-VERSION.so.* build dependencies

* Wed Aug 12 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds3-1
- initial package
